Konnte nicht gefunden werden appcompat_v7.apk

? Taba @ | Original: StackOverFlow
---

Wenn ich versuche, meine PROGRM laufen, es funktioniert, aber wenn ich mir die Konsole heißt es, dass es Could not find appcompat_v7.apk .

Wie kann ich versuchen, dies zu beantworten? Ich habe die meisten meiner Ressourcen importiert.

Dies ist, was passiert, wenn ich dies zu tun: Properties> Android> Library add the android-support-v7-appcompat

[2014-04-30 16:28:38 - appcompat_v7] Could not find appcompat_v7.apk!
[2014-04-30 16:28:38 - finalssample1] Starting activity com.example.finalssample1.MainActivity on device emulator-5554
[2014-04-30 16:28:40 - finalssample1] ActivityManager: Starting: Intent { act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] cmp=com.example.finalssample1/.MainActivity }
[2014-04-30 16:28:40 - finalssample1] ActivityManager: Warning: Activity not started, its current task has been brought to the front
---

Top 5 Antwort

1Tech Agent @

Die appcompat 7 Support-Bibliothek . Es ist nicht dazu gedacht, in einer Anwendung erstellt werden . Wenn es als Bibliothek markiert ist, wird Eclipse nicht versuchen, es zu kompilieren, und Sie werden nicht sehen, die Fehlermeldung. Ihr Hauptprojekt sollte nicht als Bibliothek, um es als apk laufen zu kennzeichnen.

2Izu @

Dies könnte ein Fehler sein, in der appcompat 7 Support-Bibliothek . Was Sie tun können, ist, erstellen Sie ein neues Android- Projekt . Dadurch wird eine neue appcombat - Projekt ( appcombt_v7_2 ) erstellen. dann löschen Sie die alte appcombat - Bibliothek in Ihr Projekt und fügen Sie die neue. vielleicht helfen könnte.

3user3752357 @

Beim Hinzufügen referenzierten Bibliotheken brauchen wir nur google-play-services_lib.jar . So, dass wir das Projekt aus dem Projekt zu entfernen.

Project->Properties->javaBuildPath->Project->select google-play-services->remove.

reinigen und zu bauen.

Erfolgs für mich in google -Play - Dienste